% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/model.R
\name{summary.keras.engine.training.Model}
\alias{summary.keras.engine.training.Model}
\title{Print a summary of a Keras model}
\usage{
\method{summary}{keras.engine.training.Model}(object,
  line_length = getOption("width"), positions = NULL, ...)
}
\arguments{
\item{object}{Keras model instance}

\item{line_length}{Total length of printed lines}

\item{positions}{Relative or absolute positions of log elements in each line.
If not provided, defaults to \code{c(0.33, 0.55, 0.67, 1.0)}.}

\item{...}{Unused}
}
\description{
Print a summary of a Keras model
}
\seealso{
Other model functions: \code{\link{compile}},
  \code{\link{evaluate.keras.engine.training.Model}},
  \code{\link{evaluate_generator}},
  \code{\link{fit_generator}}, \code{\link{fit}},
  \code{\link{get_config}}, \code{\link{get_layer}},
  \code{\link{keras_model_sequential}},
  \code{\link{keras_model}}, \code{\link{multi_gpu_model}},
  \code{\link{pop_layer}},
  \code{\link{predict.keras.engine.training.Model}},
  \code{\link{predict_generator}},
  \code{\link{predict_on_batch}},
  \code{\link{predict_proba}}, \code{\link{train_on_batch}}
}
